import json
import pytest
import requests

@pytest.mark.prometheus
def test_prometheus_alerts(host):

    print("Starting prometheus test...")

    url = 'http://127.0.0.1:30090/api/v1/alerts'
    alert_json = json.loads(host.check_output('curl ' + url))
    status = alert_json["status"]
    alerts = alert_json["data"]["alerts"]

    # Filter out the ever firing "Dead mans switch"
    real_alerts = [alert for alert in alerts
                   if alert["labels"]["severity"] != "none"]

    alert_names = list(map(lambda alert: alert["labels"]["alertname"], real_alerts))
    count = len(real_alerts)

    assert status == "success", "Failure queriying the prometheus api at" + url
    assert count == 0, "Firing alerts: {0}".format(str(alert_names))


if __name__ == "__main__":
    test_prometheus_alerts('')
